# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.appsforyourdomain
Enum AppsForYourDomainErrorCode

    java.lang.Object
      java.lang.Enum<AppsForYourDomainErrorCode>
          com.google.gdata.data.appsforyourdomain.AppsForYourDomainErrorCode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AppsForYourDomainErrorCode>

    public enum AppsForYourDomainErrorCode

extends java.lang.Enum<AppsForYourDomainErrorCode>

Enum Constant Summary
`DeletePartialFailure`
`DomainAliasLimitExceeded`
`DomainFeatureUnavailable`
`DomainSuspended`
`DomainUserLimitExceeded`
`DuplicateDestinations`
`EncryptionPublicKeyHasManyUserIds`
`EncryptionPublicKeyInvalidFormat`
`EncryptionPublicKeyInvalidType`
`EntityCannotBeModified`
`EntityCannotContainCycle`
`EntityDoesNotExist`
`EntityExists`
`EntityHasMembersCannotDelete`
`EntityNameIsReserved`
`EntityNameNotValid`
`EntityQuotaLimitReached`
`FeatureUnavailableForUser`
`GroupCannotContainCycle`
`InvalidDomainEdition`
`InvalidEmailAddress`
`InvalidEncryptionPublicKey`
`InvalidFamilyName`
`InvalidGivenName`
`InvalidGroupPermissions`
`InvalidHashDigestLength`
`InvalidHashFunctionName`
`InvalidPassword`
`InvalidQueryParameterValue`
`InvalidRouteAddress`
`InvalidSsoSigningKey`
`InvalidUsername`
`InvalidValue`
`ServerBusy`
`TooManyDestinations`
`TooManyNicknamesForUser`
`TooManyRecipientsOnEmailList`
`UnknownError`
`UserDeletedRecently`
`UserSuspended`

Method Summary
`static AppsForYourDomainErrorCode` `getEnumFromInt(java.lang.Integer errorCode)`
`int` `getErrorCodeAsInt()`
`java.lang.String` `toString()`
`static AppsForYourDomainErrorCode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AppsForYourDomainErrorCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UnknownError

    public static final AppsForYourDomainErrorCode UnknownError

### ServerBusy

    public static final AppsForYourDomainErrorCode ServerBusy

### UserDeletedRecently

    public static final AppsForYourDomainErrorCode UserDeletedRecently

### UserSuspended

    public static final AppsForYourDomainErrorCode UserSuspended

### DomainUserLimitExceeded

    public static final AppsForYourDomainErrorCode DomainUserLimitExceeded

### DomainAliasLimitExceeded

    public static final AppsForYourDomainErrorCode DomainAliasLimitExceeded

### DomainSuspended

    public static final AppsForYourDomainErrorCode DomainSuspended

### DomainFeatureUnavailable

    public static final AppsForYourDomainErrorCode DomainFeatureUnavailable

### EntityExists

    public static final AppsForYourDomainErrorCode EntityExists

### EntityDoesNotExist

    public static final AppsForYourDomainErrorCode EntityDoesNotExist

### EntityNameIsReserved

    public static final AppsForYourDomainErrorCode EntityNameIsReserved

### EntityNameNotValid

    public static final AppsForYourDomainErrorCode EntityNameNotValid

### EntityCannotBeModified

    public static final AppsForYourDomainErrorCode EntityCannotBeModified

### EntityCannotContainCycle

    public static final AppsForYourDomainErrorCode EntityCannotContainCycle

### EntityHasMembersCannotDelete

    public static final AppsForYourDomainErrorCode EntityHasMembersCannotDelete

### EntityQuotaLimitReached

    public static final AppsForYourDomainErrorCode EntityQuotaLimitReached

### InvalidGivenName

    public static final AppsForYourDomainErrorCode InvalidGivenName

### InvalidFamilyName

    public static final AppsForYourDomainErrorCode InvalidFamilyName

### InvalidPassword

    public static final AppsForYourDomainErrorCode InvalidPassword

### InvalidUsername

    public static final AppsForYourDomainErrorCode InvalidUsername

### InvalidHashFunctionName

    public static final AppsForYourDomainErrorCode InvalidHashFunctionName

### InvalidHashDigestLength

    public static final AppsForYourDomainErrorCode InvalidHashDigestLength

### InvalidEmailAddress

    public static final AppsForYourDomainErrorCode InvalidEmailAddress

### InvalidQueryParameterValue

    public static final AppsForYourDomainErrorCode InvalidQueryParameterValue

### InvalidSsoSigningKey

    public static final AppsForYourDomainErrorCode InvalidSsoSigningKey

### InvalidEncryptionPublicKey

    public static final AppsForYourDomainErrorCode InvalidEncryptionPublicKey

### FeatureUnavailableForUser

    public static final AppsForYourDomainErrorCode FeatureUnavailableForUser

### EncryptionPublicKeyInvalidFormat

    public static final AppsForYourDomainErrorCode EncryptionPublicKeyInvalidFormat

### EncryptionPublicKeyInvalidType

    public static final AppsForYourDomainErrorCode EncryptionPublicKeyInvalidType

### EncryptionPublicKeyHasManyUserIds

    public static final AppsForYourDomainErrorCode EncryptionPublicKeyHasManyUserIds

### TooManyRecipientsOnEmailList

    public static final AppsForYourDomainErrorCode TooManyRecipientsOnEmailList

### TooManyNicknamesForUser

    public static final AppsForYourDomainErrorCode TooManyNicknamesForUser

### DuplicateDestinations

    public static final AppsForYourDomainErrorCode DuplicateDestinations

### TooManyDestinations

    public static final AppsForYourDomainErrorCode TooManyDestinations

### InvalidRouteAddress

    public static final AppsForYourDomainErrorCode InvalidRouteAddress

### GroupCannotContainCycle

    public static final AppsForYourDomainErrorCode GroupCannotContainCycle

### InvalidGroupPermissions

    public static final AppsForYourDomainErrorCode InvalidGroupPermissions

### InvalidDomainEdition

    public static final AppsForYourDomainErrorCode InvalidDomainEdition

### InvalidValue

    public static final AppsForYourDomainErrorCode InvalidValue

### DeletePartialFailure

    public static final AppsForYourDomainErrorCode DeletePartialFailure

Method Detail

### values

    public static AppsForYourDomainErrorCode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AppsForYourDomainErrorCode c : AppsForYourDomainErrorCode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AppsForYourDomainErrorCode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<AppsForYourDomainErrorCode>`

### getErrorCodeAsInt

    public int getErrorCodeAsInt()

### getEnumFromInt

    public static AppsForYourDomainErrorCode getEnumFromInt(java.lang.Integer errorCode)